Bug 1733818 - Enable sound support in vim
Summary: Enable sound support in vim
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Leigh Griffin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-28 22:42 UTC by Yaakov Selkowitz
Modified: 2020-08-18 09:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-18 09:24:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Yaakov Selkowitz 2019-07-28 22:42:22 UTC
Upstream vim since 8.1.1502 supports playing sound by way of libcanberra.  In order to enable, add BuildRequires: libcanberra-devel, then add --enable-canberra to the %configure runs of those binaries for which sound should be enabled (gvim and maybe enhanced) and --disable-canberra to the %configure runs of those binaries where it should be disabled (minimal and maybe enhanced).

Comment 1 Zdenek Dohnal 2019-08-02 08:52:42 UTC
Hi Yaakov,

I will consider that, but I'm not sure right now if I want bring another dependency for vim... perhaps gvim would be possible...

Comment 2 Ben Cotton 2019-08-13 17:10:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 18:36:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Zdenek Dohnal 2020-08-18 09:24:01 UTC
gvim will have support for sounds since NVR 8.2.1412-2. It will get into F31+ after updates.

Commit https://src.fedoraproject.org/rpms/vim/c/e8094fb54a306ffa32c862151dda987449bf0925?branch=master


Note You need to log in before you can comment on or make changes to this bug.